> For the complete documentation index, see [llms.txt](https://docs.innopaas.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/webhook/template-status.md).

# Template Status

### Template review status whatsapp\_template\_status\_updated

This event is triggered when the status of the submitted template changes: whatsapp\_template\_status\_updated

| Field            | Data type | Required | Description                                                                                                              |
| ---------------- | --------- | -------- | ------------------------------------------------------------------------------------------------------------------------ |
| accountName      | String    | Yes      | API account                                                                                                              |
| category         | String    | Yes      | Template type:**MARKETING**:Marketing**AUTHENTICATION**:Verification code**UTILITY**:Notification                        |
| reason           | String    | Yes      | Reason                                                                                                                   |
| templateId       | String    | Yes      | Meta platform template ID (corresponding SID)                                                                            |
| templateLanguage | String    | Yes      | Template language                                                                                                        |
| templateName     | String    | Yes      | Template name                                                                                                            |
| templateStatus   | String    | Yes      | Template status:**PENDING**:Under review**APPROVED**:Approved**REJECTED**:Rejected**PAUSED**:Paused**DISABLED**:Disabled |
| wabaId           | String    | Yes      | <p><br></p>                                                                                                              |

```json
{
    "id": "fd201190-50dc-4151-baec-1d16c8a704e1",
    "type": "whatsapp_template_status_update",
    "eventTime": "2023-10-16T13:04:57.644Z",
    "body": {
        "accountName": "IW2267527",
        "category": "AUTHENTICATION",
        "reason": "NONE",
        "templateId": "998961841525295",
        "templateLanguage": "en_US",
        "templateName": "transland_common_otp",
        "templateStatus": "APPROVED",
        "wabaId": "110129512080569"
    }
}
```

### Template quality update message\_template\_quality\_update

This event is triggered when the quality of the submitted template changes: message\_template\_quality\_update

| Field                           | Data type | Required | Description                                                                                                                                                               |
| ------------------------------- | --------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| templateId                      | String    | Yes      | Meta platform template ID (corresponding SID)                                                                                                                             |
| templateLanguage                | String    | Yes      | Template language                                                                                                                                                         |
| templateName                    | String    | Yes      | Template name                                                                                                                                                             |
| <p>previousQualityScore<br></p> | String    | Yes      | Possible values are:**GREEN**: Indicates high quality.**RED**: Indicates poor quality.**YELLOW**: Indicates medium quality.**UNKNOWN**: Indicates quality is undetermined |
| newQualityScore                 | String    | Yes      | Possible values are:**GREEN**: Indicates high quality.**RED**: Indicates poor quality.**YELLOW**: Indicates medium quality.**UNKNOWN**: Indicates quality is undetermined |
| wabaId                          | String    | Yes      | <p><br></p>                                                                                                                                                               |

<pre class="language-json"><code class="lang-json">{
    "id": "fd201190-50dc-4151-baec-1d16c8a704e1",
    "type": "message_template_quality_update",
    "eventTime": "2023-10-16T13:04:57.644Z",
    "body": {
         "templateName":"TestName",
        "templateId": "998961841525295",
        "templateLanguage": "en_US",
<strong>        "previousQualityScore": "GREEN",
</strong><strong>        "newQualityScore": "YELLOW",
</strong>        "wabaId": "110129512080569"
    }
}
</code></pre>

### Template category update template\_category\_update

This event is triggered when the category of the submitted template changes: template\_category\_update

| Field               | Data type | Required | Description                                                                                                  |
| ------------------- | --------- | -------- | ------------------------------------------------------------------------------------------------------------ |
| templateId          | String    | Yes      | Meta platform template ID (corresponding SID)                                                                |
| templateLanguage    | String    | Yes      | Template language                                                                                            |
| templateName        | String    | Yes      | Template name                                                                                                |
| <p>category<br></p> | String    | Yes      | Optional values:  **AUTHENTICATION**: Verification code  **MARKETING**: Marketing  **UTILITY**: Notification |
| newCategory         | String    | Yes      | Optional values:  **AUTHENTICATION**: Verification code  **MARKETING**: Marketing  **UTILITY**: Notification |
| wabaId              | String    | Yes      | WaBaId                                                                                                       |

<pre class="language-json"><code class="lang-json">{
    "id": "fd201190-50dc-4151-baec-1d16c8a704e1",
    "type": "template_category_update",
    "eventTime": "2023-10-16T13:04:57.644Z",
    "body": {
        "templateName":"TestName",
        "templateId": "998961841525295",
        "templateLanguage": "en_US",
<strong>        "category": "AUTHENTICATION",
</strong><strong>        "newCategory": "UTILITY",
</strong>        "wabaId": "110129512080569"
    }
}
</code></pre>

\
\ <br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/webhook/template-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
